Subject: Re: [DNSOP] [Ext] I-D Action: draft-ietf-dnsop-glue-is-not-optional-00.txt
From: "John Levine" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 5 Jun 2020 16:40:57 -0400
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

In article <[email-masked]> you write:
>> The current document is indeed ambiguous. I propose that it be changed to:
>>   If all glue RRs do not fit, set TC=1 in the header.
>
>I believe this is contrary to how most authoritative DNS software works today, isn't it?

I hope not. If it sends only part of the glue without a hint that
there's more if they requery, that's a recipe for failure. People sent
some examples last week.